package com.ho.filecenter.service;


import com.ho.common.tools.vo.req.CardInfoReqVo;
import com.ho.filecenter.entity.CardInfo;
import com.ho.filecenter.vo.flowMonitor.MobileImportVO;
import com.ho.filecenter.vo.flowMonitor.TeleReqVo;

import java.util.List;

/**
* @author yy
* @description 针对表【card_info】的数据库操作Service
* @createDate 2024-01-16 11:23:54
*/
public interface CardInfoService{
    int deleteByPrimaryKey(Integer id);

    int insert(CardInfo record);

    int insertSelective(CardInfo record);

    int updateByPrimaryKeySelective(CardInfo record);

    int updateByPrimaryKey(CardInfo record);

    void deletedByIds(List<Integer> ids);

    void insertValue(CardInfo cardInfo);

    Integer selectByCardTotal(Integer flowMonitorId);

    List<CardInfo> selectByFlowCardList(int offset, int pageSize,Integer flowMonitorId);


    List<CardInfoReqVo> selectByCondition(CardInfoReqVo cardInfo);

    List<CardInfo> selectNotStation(CardInfo vo);

    int mobileInsertList(List<MobileImportVO> list, Integer flowMonitorId);

    int List(List<TeleReqVo> list, Integer flowMonitorId);

    CardInfo selectByCard(String card);
}
